Subject: Re: bug#52908: 'tests/guix-system.sh' fails on aarch64-linux

From: Chris Marusich <[email-masked]>
Date: Sat, 08 Jan 2022 20:42:35 -0800

Hi Maxime, Aiko, and Leo,

Maxime Devos <[email-masked]> writes:

> Chris Marusich schreef op do 06-01-2022 om 20:32 [-0800]:
>> +                                    (if (string-prefix? "x86_64"
>> system)
>
> There's a target-x86-64? procedure in (guix utils) you could use here.
>
> Greetings,
> Maxime

Good call!  I implemented your suggestion in commit dc2b901.

Aiko Kyle <[email-masked]> writes:

> On Thu, Jan 6, 2022 at 9:32 PM Chris Marusich <[email-masked]> wrote:
>>
>> Aiko, can you confirm that after running "guix pull" the issue is
>> resolved on your end, too?
>>
>
> I can confirm that this test passes here. However guix system
> reconfigure is still failing for me on aarch64 due to the test
> 'file-needed/recursive' in tests/gremlin.scm failing. There was an
> email on guix-devel starting to look into this issue on aarch64 but I
> haven't had the time to follow up.

Thank you for confirming!

Leo Famulari <[email-masked]> writes:

> On Fri, Jan 07, 2022 at 06:26:13PM -0700, Aiko Kyle wrote:
> > I can confirm that this test passes here.
> 
> Awesome, I am closing this bug. Thanks everybody, for collaborating on a
> quick fix!
> 
> > However guix system
> > reconfigure is still failing for me on aarch64 due to the test
> > 'file-needed/recursive' in tests/gremlin.scm failing. There was an
> > email on guix-devel starting to look into this issue on aarch64 but I
> > haven't had the time to follow up.
> 
> I think there is a fix being discussed here:
> 
> https://issues.guix.gnu.org/52940

I think the issue described in 52940 is similar but slightly different
to the one Aiko mentioned.  I have resolved 52940 because that issue
(only happening on powerpc64le-linux, to my knowledge) has been fixed.
However, I have re-opened Aiko's existing report for the
aarch64-specific issue here:

https://issues.guix.gnu.org/52943

Let's continue the discussion of that issue there.

-- 
Chris

PGP: https://savannah.gnu.org/people/viewgpg.php?user_id=106836